ColumnPredicate.CollectionExpression
Keywords: net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class ColumnPredicate.CollectionExpression<C>

- net.corda.core.node.services.vault.ColumnPredicate<C>
- - net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<C>

- Enclosing class:
    ColumnPredicate<C>

      public static class ColumnPredicate.CollectionExpression<C>
      extends ColumnPredicate<C>

- - ### Constructor Detail

    - #### CollectionExpression

          public CollectionExpression(@NotNull
                                      CollectionOperator operator,
                                      @NotNull
                                      java.util.Collection<? extends C> rightLiteral)

  - ### Method Detail

    - #### getOperator

          @NotNull
          public CollectionOperator getOperator()

    - #### getRightLiteral

          @NotNull
          public java.util.Collection<C> getRightLiteral()

    - #### component1

          @NotNull
          public CollectionOperator component1()

    - #### component2

          @NotNull
          public java.util.Collection<C> component2()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.ColumnPredicate.CollectionExpression<C> copy(@NotNull
                                                                                                          CollectionOperator operator,
                                                                                                          @NotNull
                                                                                                          java.util.Collection<? extends C> rightLiteral)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)